[PC-BSD Commits] r7647 - in pbibuild/modules/emulators/virtualbox-ose: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Tue Sep 28 09:14:22 PDT 2010


Author: kris
Date: 2010-09-28 09:14:22 -0700 (Tue, 28 Sep 2010)
New Revision: 7647

Modified:
   pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/emulators/virtualbox-ose/pbi.conf
Log:

Rebuild virtualbox with fixes to load network services after startup



Modified: pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.RemoveScript.sh	2010-09-28 13:06:03 UTC (rev 7646)
+++ pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.RemoveScript.sh	2010-09-28 16:14:22 UTC (rev 7647)
@@ -29,3 +29,4 @@
 rm /Programs/bin/VBoxXPCOMIPCD
 rm /Programs/bin/vboxwebsrv
 rm /Programs/bin/webtest
+rm /usr/local/etc/rc.d/vboxnet

Modified: pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.SetupScript.sh	2010-09-28 13:06:03 UTC (rev 7646)
+++ pbibuild/modules/emulators/virtualbox-ose/overlay-dir/PBI.SetupScript.sh	2010-09-28 16:14:22 UTC (rev 7647)
@@ -25,8 +25,6 @@
 cp /boot/loader.conf /boot/loader.conf.orig
 cat /boot/loader.conf | grep -v "vboxdrv_load"  > /tmp/loader.conf
 echo 'vboxdrv_load="YES"' >> /tmp/loader.conf
-echo '#vboxnetflt_load="YES"' >> /tmp/loader.conf
-echo '#vboxnetadp_load="YES"' >> /tmp/loader.conf
 mv /tmp/loader.conf /boot/loader.conf
 
 # Now add the user group
@@ -76,15 +74,18 @@
 ln -fs /Programs/${PROGDIR}/.sbin/VBoxXPCOMIPCD /Programs/bin/VBoxXPCOMIPCD
 ln -fs /Programs/${PROGDIR}/.sbin/vboxwebsrv /Programs/bin/vboxwebsrv
 ln -fs /Programs/${PROGDIR}/.sbin/webtest /Programs/bin/webtest
+ln -fs /Programs/${PROGDIR}/etc/rc.d/vboxnet /usr/local/etc/rc.d/vboxnet
 
+# Start vboxnet service
+grep '^vboxnet_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ "$?" != "0" ] ; then
+  echo "vboxnet_enable=\"YES\"" >> /etc/rc.conf
+fi
+/usr/local/etc/rc.d/vboxnet start
+
 uname -r | grep '8\.' >/dev/null 2>/dev/null
 if [ "$?" = "0" ]
 then
   # If on 8.x, load the module now
   kldload /boot/modules/vboxdrv.ko
-  #kldload /boot/modules/vboxnetflt.ko
-  #kldload /boot/modules/vboxnetadp.ko
-else
-  # Seeing kernel panics when loading module on 7.x, needs to load at boot
-  kdialog --msgbox "Please reboot before running VirtualBox" --title "VirtualBox Installer"
 fi

Modified: pbibuild/modules/emulators/virtualbox-ose/pbi.conf
===================================================================
--- pbibuild/modules/emulators/virtualbox-ose/pbi.conf	2010-09-28 13:06:03 UTC (rev 7646)
+++ pbibuild/modules/emulators/virtualbox-ose/pbi.conf	2010-09-28 16:14:22 UTC (rev 7647)
@@ -37,7 +37,7 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="03"
+BUILDKEY="01"
 
 # By default we prune the python files used for building,
 # Set this to NO to keep any python files in the resulting PBI



More information about the Commits mailing list